package com.mosty.sjzx.controller;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.mosty.base.model.query.sjzx.YszxNyQuery;
import com.mosty.base.model.query.sjzx.YszxQuery;
import com.mosty.base.model.vo.sjzx.TbJqVo;
import com.mosty.common.base.domain.BaseController;
import com.mosty.common.base.domain.ResponseResult;
import com.mosty.common.token.JwtSysUser;
import com.mosty.sjzx.service.SgfxService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springframework.web.bind.annotation.*;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

@AllArgsConstructor
@RestController
@Api(tags = "四高分析相关接口--原magic接口")
@RequestMapping("/sgfx")
public class SgfxController extends BaseController {

    @Resource
    private SgfxService sgfxService;

    @GetMapping("/gflx/jmjq")
    @ApiOperation(value = "日统计-街面警情")
    @JwtSysUser
    public ResponseResult<List<Map<String, Object>>> jmjq(YszxQuery dto) {
        return ResponseResult.success(this.sgfxService.jmjq(dto));
    }

    @GetMapping("/gflx/wffzjq")
    @ApiOperation(value = "日统计-违法犯罪警情")
    @JwtSysUser
    public ResponseResult<List<Map<String, Object>>> wffzjq(YszxQuery dto) {
        return ResponseResult.success(this.sgfxService.wffzjq(dto));
    }

    @GetMapping("/gflx/zjq")
    @ApiOperation(value = "日统计-总警情")
    @JwtSysUser
    public ResponseResult<List<Map<String, Object>>> zjq(YszxQuery dto) {
        return ResponseResult.success(this.sgfxService.zjq(dto));
    }

    @GetMapping("/gflx/yjmjq")
    @ApiOperation(value = "日统计-总警情")
    @JwtSysUser
    public ResponseResult<List<Map<String, Object>>> yjmjq(YszxNyQuery dto) {
        return ResponseResult.success(this.sgfxService.yjmjq(dto));
    }

    @GetMapping("/gflx/yzwffzjq")
    @ApiOperation(value = "月统计-违法犯罪警情")
    @JwtSysUser
    public ResponseResult<List<Map<String, Object>>> yzwffzjq(YszxNyQuery dto) {
        return ResponseResult.success(this.sgfxService.yzwffzjq(dto));
    }

    @GetMapping("/gflx/yzjq")
    @ApiOperation(value = "月统计-总警情")
    @JwtSysUser
    public ResponseResult<List<Map<String, Object>>> yzjq(YszxNyQuery dto) {
        return ResponseResult.success(this.sgfxService.yzjq(dto));
    }

    @GetMapping("/gflx/zjmjq")
    @ApiOperation(value = "周统计-街面警情")
    @JwtSysUser
    public ResponseResult<List<Map<String, Object>>> zjmjq(YszxQuery dto) {
        return ResponseResult.success(this.sgfxService.zjmjq(dto));
    }

    @GetMapping("/gflx/zwffzjq")
    @ApiOperation(value = "周统计-违法犯罪警情")
    @JwtSysUser
    public ResponseResult<List<Map<String, Object>>> zwffzjq(YszxQuery dto) {
        return ResponseResult.success(this.sgfxService.zwffzjq(dto));
    }

    @GetMapping("/gflx/zzjq")
    @ApiOperation(value = "周统计-总警情")
    @JwtSysUser
    public ResponseResult<List<Map<String, Object>>> zzjq(YszxQuery dto) {
        return ResponseResult.success(this.sgfxService.zzjq(dto));
    }

    @GetMapping("/gfsdfx/Jmjq")
    @ApiOperation(value = "日统计-街面警情")
    @JwtSysUser
    public ResponseResult<List<Map<String, Object>>> gfsdfxJmjq(YszxQuery dto) {
        return ResponseResult.success(this.sgfxService.gfsdfxJmjq(dto));
    }

    @GetMapping("/gfsdfx/wffzjq")
    @ApiOperation(value = "日统计-违法犯罪警情")
    @JwtSysUser
    public ResponseResult<List<Map<String, Object>>> gfsdfxWffzjq(YszxQuery dto) {
        return ResponseResult.success(this.sgfxService.gfsdfxWffzjq(dto));
    }

    @GetMapping("/gfsdfx/zjq")
    @ApiOperation(value = "日统计-违法犯罪警情")
    @JwtSysUser
    public ResponseResult<List<Map<String, Object>>> gfsdfxZjq(YszxQuery dto) {
        return ResponseResult.success(this.sgfxService.gfsdfxZjq(dto));
    }

    @GetMapping("/gfsdfx/yjmjq")
    @ApiOperation(value = "月统计-街面警情")
    @JwtSysUser
    public ResponseResult<List<Map<String, Object>>> gfsdfxYjmjq(YszxNyQuery dto) {
        return ResponseResult.success(this.sgfxService.gfsdfxYjmjq(dto));
    }

    @GetMapping("/gfsdfx/ywffzjq")
    @ApiOperation(value = "月统计-违法犯罪警情")
    @JwtSysUser
    public ResponseResult<List<Map<String, Object>>> ywffzjq(YszxNyQuery dto) {
        return ResponseResult.success(this.sgfxService.ywffzjq(dto));
    }

    @GetMapping("/gfsdfx/yzjq")
    @ApiOperation(value = "月统计-总警情")
    @JwtSysUser
    public ResponseResult<List<Map<String, Object>>> gfsdfxYzjq(YszxNyQuery dto) {
        return ResponseResult.success(this.sgfxService.gfsdfxYzjq(dto));
    }

    @GetMapping("/gfsdfx/zjmjq")
    @ApiOperation(value = "周统计-街面警情")
    @JwtSysUser
    public ResponseResult<List<Map<String, Object>>> gfsdfxZjmjq(YszxQuery dto) {
        return ResponseResult.success(this.sgfxService.gfsdfxZjmjq(dto));
    }

    @GetMapping("/gfsdfx/zwffzjq")
    @ApiOperation(value = "周统计-街面警情")
    @JwtSysUser
    public ResponseResult<List<Map<String, Object>>> gfsdfxZwffzjq(YszxQuery dto) {
        return ResponseResult.success(this.sgfxService.gfsdfxZwffzjq(dto));
    }

    @GetMapping("/gfsdfx/zzjq")
    @ApiOperation(value = "周统计-总警情")
    @JwtSysUser
    public ResponseResult<List<Map<String, Object>>> gfsdfxZzjq(YszxQuery dto) {
        return ResponseResult.success(this.sgfxService.gfsdfxZzjq(dto));
    }
}


